const TEXT_SIZE = 18;
//默认配置
export let configOpt = {
	text: { //文本设置
		size: TEXT_SIZE,
		fontWeight: 'normal',
		color: '#333',
		lineHeight: TEXT_SIZE * 1.3,
	},
	line: { //线条设置
		width: 1,
		color: '#0052D9',
	},
	border: { //线框设置
		isDash: 0, // 0实 1虚线border: 1px solid #0052D9
		width: 2,
		fill: '#DAE8FF',
		borderColor: '#0052D9',
	}
}

/* 定义默认颜色 */
export const colorsOptions = ['#333','#5B9BD5','#f00','#fff','#00f','#000','#00FFFF','#70DB93','#9F5F9F','#A67D3D','#5F9F9F']

export const familyOptions = [
	{name:'微软雅黑',value:'微软雅黑'},
	{name:'宋体',value:'宋体'},
	{name:'黑体',value:'黑体'}
]
export const fontSizeOptions = [
	{name:'12px',value:12},
	{name:'14px',value:14},
	{name:'16px',value:16},
	{name:'18px',value:18}
]
export const lineHeightOptions = [
	1,
	1.15,
	1.5,
	2
]
export const sizeOptions = [
	30,
	28,
	26,
	24,
	22,
	20,
	18,
	16,
	14,
	12,
	10,
]

export const styleSettings=[
	{
		id:1,
		backgroundColor:'#BBCEFF',
		color:'#1841AA',
		textColor:'#1841AA',
		borderColor:'#1841AA',
		lineColor:'#1841AA'
	},
	{
		id:2,
		backgroundColor:'#1841AA',
		color:'#FFFFFF',
		textColor:'#1841AA',
		borderColor:'#1841AA',
		lineColor:'#1841AA'
	},
	{
		id:3,
		backgroundColor:'#FFFFFF',
		color:'#333333',
		textColor:'#333333',
		borderColor:'#333333',
		lineColor:'#333333'
	},
	{
		id:4,
		backgroundColor:'#FFF6F4',
		color:'#AA3218',
		textColor:'#AA3218',
		borderColor:'#AA3218',
		lineColor:'#AA3218'
	}
]