import http from "@/api/http.js"

/* 首页请求的接口  */
const homeInterface = {
	/**
	 * 问卷调查详情接口
	 */
	getQuestionnaireDetail: () => {
		return http.get('/eta_trial/questionnaire/popup')
	},
  /**
 * 问卷调查详情 - 提交答案
 * List[index].QuestionnaireId  题目Id
  List[index].integerOptions 答案 多选用 ~# 隔开
  List[index].Type 问题类型
 */
	questionnaireSubmit: (params) => {
		return http.post('/eta_trial/questionnaire/commit',params)
	}
}

export default homeInterface